Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.hdgf.streams
Class Stream

    java.lang.Object
      org.apache.poi.hdgf.streams.Stream

Direct Known Subclasses:
  ChunkStream, PointerContainingStream, StringsStream, UnknownStream

    public abstract class Stream

extends java.lang.Object

Base of all Streams within a HDGF document. Streams are what hold the data (the metadata of a stream is held in the pointer that points to the stream). A stream may be stored compressed or un-compressed on the disk, but that doesn't appear to change their use.

Constructor Summary
`protected` | `Stream(Pointer pointer, StreamStore store)` Creates a new Stream, having already used the pointer to build a store

Method Summary
`int` | `_getContentsLength()`
`StreamStore` | `_getStore()`
`static Stream` | `createStream(Pointer pointer, byte[] documentData, ChunkFactory chunkFactory, PointerFactory pointerFactory)` Uses the pointer to locate a Stream within the document data, and creates it.
`Pointer` | `getPointer()`
`protected StreamStore` | `getStore()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Stream

    protected Stream(Pointer pointer,
                     StreamStore store)

  Creates a new Stream, having already used the pointer to build a store

Method Detail

### getPointer

    public Pointer getPointer()

### getStore

    protected StreamStore getStore()

### _getStore

    public StreamStore _getStore()

### _getContentsLength

    public int _getContentsLength()

### createStream

    public static Stream createStream(Pointer pointer,
                                      byte[] documentData,
                                      ChunkFactory chunkFactory,
                                      PointerFactory pointerFactory)

  Uses the pointer to locate a Stream within the document data, and creates it.

  Parameters:
    `pointer` - The Pointer to create a stream for
    `documentData` - The raw document data

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2010 The Apache Software Foundation or its licensors, as applicable.